net/haproxy - The NetBSD Packages Collection

Reliable, high performance TCP/HTTP load balancer

HAProxy is a free, very fast and reliable solution offering high
availability, load balancing, and proxying for TCP and HTTP-based
applications. It is particularly suited for web sites crawling under
very high loads while needing persistence or Layer7 processing.
Supporting tens of thousands of connections is clearly realistic with
todays hardware.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

devel/pcre devel/pcre

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfhaproxy-2.3.2.tgz
NetBSD 8.0earmv7hfhaproxy-2.2.2.tgz
NetBSD 8.0earmv7hfhaproxy-2.3.7.tgz
NetBSD 8.0i386haproxy-2.2.2.tgz
NetBSD 8.0i386haproxy-2.3.7.tgz
NetBSD 8.0powerpchaproxy-2.2.2.tgz
NetBSD 8.0x86_64haproxy-2.3.7.tgz
NetBSD 8.0x86_64haproxy-2.2.2.tgz
NetBSD 8.0x86_64haproxy-2.3.2.tgz
NetBSD 9.0aarch64haproxy-2.3.7.tgz
NetBSD 9.0aarch64haproxy-2.2.2.tgz
NetBSD 9.0aarch64haproxy-2.3.2.tgz
NetBSD 9.0alphahaproxy-2.3.7.tgz
NetBSD 9.0alphahaproxy-2.2.2.tgz
NetBSD 9.0alphahaproxy-2.3.2.tgz
NetBSD 9.0earmhaproxy-2.2.2.tgz
NetBSD 9.0earmv6hfhaproxy-2.3.7.tgz
NetBSD 9.0earmv6hfhaproxy-2.2.2.tgz
NetBSD 9.0earmv6hfhaproxy-2.3.2.tgz
NetBSD 9.0earmv6hfhaproxy-2.3.2.tgz
NetBSD 9.0earmv7hfhaproxy-2.3.7.tgz
NetBSD 9.0earmv7hfhaproxy-2.2.2.tgz
NetBSD 9.0earmv7hfhaproxy-2.3.2.tgz
NetBSD 9.0earmv7hfhaproxy-2.3.2.tgz
NetBSD 9.0earmv7hfhaproxy-2.3.7.tgz
NetBSD 9.0i386haproxy-2.2.2.tgz
NetBSD 9.0i386haproxy-2.3.7.tgz
NetBSD 9.0mips64ebhaproxy-2.3.7.tgz
NetBSD 9.0mips64ebhaproxy-2.2.2.tgz
NetBSD 9.0mips64ebhaproxy-2.3.2.tgz
NetBSD 9.0powerpchaproxy-2.2.2.tgz
NetBSD 9.0sparc64haproxy-2.3.7.tgz
NetBSD 9.0sparc64haproxy-2.1.7.tgz
NetBSD 9.0sparc64haproxy-2.2.2.tgz
NetBSD 9.0sparc64haproxy-2.3.2.tgz
NetBSD 9.0sparchaproxy-2.2.2.tgz
NetBSD 9.0vaxhaproxy-2.2.2.tgz
NetBSD 9.0x86_64haproxy-2.2.4.tgz
NetBSD 9.0x86_64haproxy-2.3.2.tgz
NetBSD 9.0x86_64haproxy-2.3.4.tgz
NetBSD 9.0x86_64haproxy-2.3.7.tgz
NetBSD 9.0x86_64haproxy-2.2.2.tgz
NetBSD 9.0x86_64haproxy-2.3.2.tgz
NetBSD 9.0x86_64haproxy-2.3.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

lua
Enable Lua support.
prometheus
ssl
Enable SSL support.
pcre
Enable Perl-compatible regular expressions.
pcre2
Use Perl Compatible Regular Expressions, API version 2.
pcre2-jit
Enable JIT (just-in-time) support in pcre2.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.